<!--智能提醒-->
<template>
  <div class="seat-body">
    <div class="scroll-wrapper" ref="scrollRef">
      <div class="switch-body">
        <div class="switch-group">
          <u-card
            left-text="前排座椅通风加热"
            is-arrow
            @onClick="handleClick"
          />
        </div>
      </div>
    </div>

    <img
      src="../../assets/images/setting/setting_car2.webp"
      alt=""
      srcset=""
      class="img-bg"
    />
  </div>
</template>

<script>
import Select from "@/components/Select.vue";
import BScroll from "better-scroll";

export default {
  name: "Seat",
  components: {
    Select,
  },
  data() {
    return {};
  },
  methods: {
    init() {
      this.bs = new BScroll(this.$refs.scrollRef, {
        quadrant: 2,
        click: true,
      });
    },
    handleClick() {
      this.$router.push({
        path: "/airconditioner",
        query: {
          activeId: 1,
        },
      });
    },
  },
  mounted() {
    this.init();
  },
};
</script>

<style scoped lang="scss">
.seat-body {
  position: relative;
  height: 100%;

  .scroll-wrapper {
    width: 688px;
    height: 743px;
    overflow: hidden;
  }

  .switch-body::-webkit-scrollbar {
    display: none;
  }

  .switch-group {
    width: 688px;
    //padding: 35px 40px 43px 40px;
    box-sizing: border-box;
    margin-bottom: 34px;
    background: #ffffff;
    border-radius: 20px;

    .select-item {
      height: 70px;
    }

    .process {
      width: 606px;
      height: 64px;
    }
  }

  .img-bg {
    width: 897px;
    height: 597px;
    position: absolute;
    right: -60px;
    top: 140px;
  }
}
</style>
